[Plugin] Component Spray Tool 1.3.
-
@unknownuser said:
Any chance of adding what Solo and I have requested...?
Yes. The only question is: when ?
-
-
Didier:
If you replace the native
model.raytest
with this method the rays won't stop on invisible entities:# Raytrace method that does not stop on hidden entities. def self.raytest(ray) model = Sketchup.active_model vector = ray[1] while true # Shot ray test = model.raytest(ray) return nil if test.nil? # Verify visibility point, path = test if path.all? { |e| e.visible? && e.layer.visible? } return test else # raytest stopped on a hidden entity - create a new ray from that point # and let the loop continue until it hits something visible, or nothing. ray = [ point, vector ] end end # while end
-
Hi tt,
-
thank so much
-
Problems with component spray tool...Tool will not pick point after clicking.
Is anyone else have problems with the tool? All the parameters appear correct.
I'm placing byce on a simple plane is not working. Openig a new drawing helped but it always goes back to not working at some point.I'm using in V6.
-
Hi,
I wanted to try compo spray but I get a huge number of components at a small circle. What am I doing wrong?
Charly
-
Hi,
Did you draw a great circle (20m or so) or a small one (2m or so) ?
But don't worry, since FaceMe components don't really have a bounding box, the number of components to be created is wrong, if I remember well...
Regards, -
Hi Didier,
The circle was about three meters. I tried the whole day. If i use it at a single line or a point then i get very small copies.
Charly
-
For the above mentioned problem i found the solution. The values for Low and high scale where to less.
But now although Keep vertical is selected, the tree is horizontal. For this I could not find the reason.
Charly
-
Hi,
I found the error. This component was the reason. After I exploded the component and made it a new component, the error was gone.
Charly
-
I'm having difficulty to make it work in SU 8.
Confirmation ?
But it is my first try, I must say. -
@mariocha said:
I'm having difficulty to make it work in SU 8.
Confirmation ?
But it is my first try, I must say.Exactly what isn't working?
-
Well, like I said it was my first try. I finally got it after a few more tries.
My mistake was to try to "spray" on a face in a group being outside of it.
Somehow I assumed that's what it did.
Maybe cause I cannot get the "selection" option to work. It just stops and asks to select objects, even when a face is selected before, and it stays suck there, clicking or enter do nothing.
I read the manual, again (very well done btw). Maybe a warning line could be added about groups.
Although it is so obvious now. -
@didier bur said:
Hi all,
Here is an update of the component spray tool (updated PDF doc included).What's new in 1.3.:
New "shape" option to drop component at each vertex of selected faces.
Bug fix when loading the script on Mac.
Bux fix that froze the script when no destination layer were specified.
Enjoy !EDIT:
Last version posted 03.09.10 (no more progressbar conflict, not an rbs)This is my problem with the plugin, can you tell me how to fix it? The table is to big, It isn't match with my screen so I can't see the rest of the table.
-
thank you so much!!.I;ve been dreaming about this tool for months.
I will try it out now.
sketchup is infinity. -
I initially could not get this to work in selection mode, but it worked fine after removing all my other plugins. Must be some incompatibility, I have quite a few.
One thing I did notice is a tendency for scattered objects to be more dense toward the centre of the regions in all cases. I don't know ruby but it seems whatever random function you are using is a bit biased towards the mean.
That being said, what a fantastic script! Keep up the good work Didier!
-
@Kool
AS you have just 3 box values missing
Just enter your values then press TAB
and at the end Press Enter
Some rustic but efficientBelow box values missing
-
Hi all,
I'm on my way to the next release to fix all these minor problems, and to add a webdialog as well. -
@charly2008 said:
Hi,
I found the error. This component was the reason. After I exploded the component and made it a new component, the error was gone.
Charly
Maybe it was very small in size. What if you Right-Click and choose Scale Definition?
Advertisement